# Model Context Protocol (MCP)

Nutzen Sie unseren MCP-Server, damit Ihre KI-Agenten mit der Stripe-API interagieren können.

Der Server Stripe Model Context Protocol (MCP) bietet eine Reihe von Tools, die KI-Agenten verwenden können, um mit der Stripe API zu interagieren und unsere Wissensdatenbank (einschließlich Dokumentation und Support-Artikel) zu durchsuchen.

Diese Seite behandelt die Verbindung Ihres Agenten oder Ihrer IDE mit dem MCP-Server von Stripe. Wenn Sie Ihre eigene MCP-App oder Chat-Oberfläche erstellen und Zahlungen von deren Nutzerinnen und Nutzern akzeptieren möchten, lesen Sie stattdessen [Ihre MCP-App monetarisieren](https://docs.stripe.com/agentic-commerce/apps.md).

## Connect to Stripe’s MCP server 

#### Cursor

[Install in Cursor](cursor://anysphere.cursor-deeplink/mcp/install?name=stripe&config=eyJ1cmwiOiJodHRwczovL21jcC5zdHJpcGUuY29tIn0%3D)

To open Cursor and automatically add the Stripe MCP server, click **Install**. Alternatively, add the following to your `~/.cursor/mcp.json` file. To learn more, see the Cursor [documentation](https://docs.cursor.com/context/model-context-protocol).

```json
{
  "mcpServers": {
    "stripe": {
      "url": "https://mcp.stripe.com"
    }
  }
}
```

#### Claude Code

To add MCP to Claude code, run the following command. To learn more, see the Claude Code [documentation](https://docs.anthropic.com/en/docs/claude-code/mcp#configure-mcp-servers).

```bash
claude mcp add --transport http stripe https://mcp.stripe.com/
```

After adding the server to Claude, you must authenticate with Stripe.

```bash
claude /mcp
```

#### ChatGPT

You can enable MCP servers on ChatGPT if you have a Pro, Plus, Business, Enterprise or Education account. Follow the [OpenAI documentation](https://platform.openai.com/docs/guides/developer-mode) for instructions. Use the following parameters when setting up your custom connector:

- The server url is `https://mcp.stripe.com`.
- Use “OAuth” as the connection mechanism.

Stripe’s MCP server also works with OpenAI’s response API, when building [autonomous agents](https://docs.stripe.com/mcp.md#agents).

#### Other

### VS Code

[Install in VS Code](https://vscode.dev/redirect/mcp/install?name=stripe&config=%7B%22type%22%3A%22http%22%2C%22url%22%3A%22https%3A%2F%2Fmcp.stripe.com%22%7D)

To open VS Code and automatically add the Stripe MCP server, click **Install**. Alternatively, add the following to your workspace `.vscode/mcp.json` file. To learn more, see the VS Code [documentation](https://code.visualstudio.com/docs/copilot/chat/mcp-servers).

```json
{
  "servers": {
    "stripe": {
      "type": "http",
      "url": "https://mcp.stripe.com"
    }
  }
}
```

### Custom

MCP is an open protocol that many clients support. Your client documentation can explain how to connect. If possible, use the server URL `https://mcp.stripe.com` and OAuth as the connection mechanism. If your MCP client doesn’t support OAuth, you can pass a [restricted API key](https://docs.stripe.com/keys.md#create-restricted-api-key) in the `Authorization` header as a bearer token. For example, a client might accept the following header property:

```json
{
  "stripe": {
    "url": "https://mcp.stripe.com",
    "headers": {
      "Authorization": "Bearer <<YOUR_SECRET_KEY>>"
    }
  }
}
```

After installing, you can manage MCP client sessions in your Dashboard settings.

### Manage MCP client sessions

The Stripe MCP server uses OAuth to connect MCP clients according to the [MCP spec](https://modelcontextprotocol.io/specification/2025-03-26/basic/authorization#2-1-1-oauth-grant-types). OAuth is more secure than using your secret key because it allows more granular permissions and user based authorization. When you add the Stripe MCP to a client, the MCP client opens an OAuth consent form which allows you to authorize the client to access your Stripe data.

#### Manage your own sessions

To view authorized OAuth client sessions, go to your [user settings](https://dashboard.stripe.com/settings/user) in the Stripe Dashboard. If you’ve authorized an MCP client, it appears under **OAuth sessions**. To revoke OAuth access for a specific MCP client session:

1. Scroll to the OAuth sessions section in your [user settings](https://dashboard.stripe.com/settings/user).
2. Find the client sessions in the list, and click the overflow menu (⋯).
3. Select **Revoke access**.

#### Manage sessions as an admin

If you’re an administrator, you can view and revoke the MCP OAuth sessions of other users in your organization or account. This requires a role with permission to manage team members and OAuth sessions (for example, the **Administrator** role). To manage another user’s sessions:

1. Go to the [Team and security](https://dashboard.stripe.com/settings/team) settings page and select the team member you want to manage.
2. On the team member details page, find the **OAuth sessions** table.
3. To revoke a single session, click the overflow menu on its row and select **Revoke access**. To revoke every session in the table, select **Revoke all**.

Session management is scoped to the account or organization you’re currently viewing and to the current environment, live mode or a sandbox. Revoking a session only removes access for the accounts in your current scope. If the same session also has access to accounts outside your scope, it stays active for those accounts. When you view an organization, the table includes an **Accounts** column because a session can be tied to more than one account in the organization.

### Manage MCP access

Administrators can [enable MCP access](https://dashboard.stripe.com/settings/mcp) in the Dashboard. Access is managed separately between sandbox and live mode environments.

### Building autonomous agents

If you’re building agentic software, you can pass a Stripe API key as a bearer token to the MCP remote server. We strongly recommend using [restricted API keys](https://docs.stripe.com/keys/restricted-api-keys.md) to limit your agent’s access to exactly the functionality it requires. For example, you can use this authorization method with [OpenAI’s Responses API](https://platform.openai.com/docs/guides/tools-remote-mcp#authentication).

Don’t embed restricted or secret API keys in code. Instead, provide API keys to your agent through a secrets vault or environment variable. To learn how to manage keys safely, see [best practices for managing secret API keys](https://docs.stripe.com/keys-best-practices.md).

```bash
curl https://mcp.stripe.com/ \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -d '{
      "jsonrpc": "2.0",
      "method": "tools/call",
      "params": {
        "name": "create_customer",
        "arguments": {"name": "Jenny Rosen", "email": "jenny.rosen@example.com" }
      },
      "id": 1
  }'
```

## Tools

Der Server stellt die folgenden [MCP-Tools](https://modelcontextprotocol.io/docs/concepts/tools) zur Verfügung. Wir empfehlen, die Bestätigung der Tools durch den Menschen zu aktivieren und bei der Verwendung des Stripe-MCP mit anderen Servern Vorsicht walten zu lassen, um Prompt-Injection-Angriffe zu vermeiden. Wenn Sie Feedback geben oder weitere Tools sehen möchten, senden Sie uns eine E-Mail an [mcp@stripe.com](mailto:mcp@stripe.com).

| Ressource | Werkzeug | Beschreibung |
| --- | --- | --- |
| **API-Tools** | `stripe_api_search` | Nach Stripe-API-Methoden nach Stichwort suchen |
| `stripe_api_details` | Detaillierte Parameterinformationen für eine bestimmte Stripe-API-Methode abrufen. |
| `stripe_api_read` | Daten mit einer beliebigen Stripe-API-Methode für `GET` lesen |
| `stripe_api_write` | Daten mit einer beliebigen Stripe-API-Methode für `POST`, `PATCH`, `PUT` und `DELETE` schreiben |
| **Konto** | `get_stripe_account_info` | [Konto aufrufen](https://docs.stripe.com/api/accounts/retrieve.md) |
| **Rückerstattung** | `create_refund` | [Rückerstattung erstellen](https://docs.stripe.com/api/refunds/create.md) |
| **Treasury** (Public preview) | `get_balance_summary` | Zeigt eine interaktive Saldo-Übersicht für das Stripe-Saldo und die Treasury-Konten an |
| **Sonstiges** | `search_stripe_documentation` | Die Stripe-Dokumentation nach der angegebenen Frage und Sprache durchsuchen |
| `stripe_implementation_planner` | Führt Nutzer/innen durch Stripe-Produkte, um ihnen zu helfen, Zahlungen zu akzeptieren, Produkte online zu verkaufen, die Abrechnung einzurichten oder eine beliebige Stripe-Integration zu erstellen |
| `send_stripe_mcp_feedback` | Feedback von Nutzer/innen oder Agenten zu den MCP-Server-Tools von Stripe einreichen |
| `stripe_report` | Berichte und Berichtsläufe suchen, abrufen und erstellen |

Der Stripe-MCP-Server stellt mehrere APIs bereit, die Sie mit den Tools `stripe_api_read` und `stripe_api_write` aufrufen können. Durch diesen Zugriff ist ein Großteil der API über MCP verfügbar, ohne das Kontextfenster unnötig zu vergrößern.

### Unterstützte API-Methoden

- [Alle Kundinnen und Kunden auflisten](https://docs.stripe.com/api/customers/list.md)
- [Eine Kundin/einen Kunden abrufen](https://docs.stripe.com/api/customers/retrieve.md)
- [Kunden/Kundin erstellen](https://docs.stripe.com/api/customers/create.md)
- [Kunden/Kundin aktualisieren](https://docs.stripe.com/api/customers/update.md)
- [Alle Abbuchungen auflisten](https://docs.stripe.com/api/charges/list.md)
- [Eine Abbuchung abrufen](https://docs.stripe.com/api/charges/retrieve.md)
- [Alle Rückerstattungen für eine Zahlung auflisten (`GET /v1/charges/:charge/refunds`)](https://docs.stripe.com/api/refunds/list.md)
- [Alle Rückerstattungen auflisten](https://docs.stripe.com/api/refunds/list.md)
- [Eine Rückerstattung abrufen](https://docs.stripe.com/api/refunds/retrieve.md)
- [Rückerstattung erstellen](https://docs.stripe.com/api/refunds/create.md)
- [Alle PaymentIntents auflisten](https://docs.stripe.com/api/payment_intents/list.md)
- [Einen PaymentIntent abrufen](https://docs.stripe.com/api/payment_intents/retrieve.md)
- [Alle Checkout Sessions auflisten](https://docs.stripe.com/api/checkout/sessions/list.md)
- [Eine Checkout Session abrufen](https://docs.stripe.com/api/checkout/sessions/retrieve.md)
- [Die Posten einer Checkout-Sitzung abrufen](https://docs.stripe.com/api/checkout/sessions/line_items.md)
- [Alle Rechnungen auflisten](https://docs.stripe.com/api/invoices/list.md)
- [Eine Rechnung abrufen](https://docs.stripe.com/api/invoices/retrieve.md)
- [Die Posten einer Rechnung abrufen](https://docs.stripe.com/api/invoice-line-item/retrieve.md)
- [Rechnung erstellen](https://docs.stripe.com/api/invoices/create.md)
- [Rechnung aktualisieren](https://docs.stripe.com/api/invoices/update.md)
- [Eine Rechnung abschließen](https://docs.stripe.com/api/invoices/finalize.md)
- [Eine Rechnung als uneinbringlich markieren](https://docs.stripe.com/api/invoices/mark_uncollectible.md)
- [Eine Rechnung stornieren](https://docs.stripe.com/api/invoices/void.md)
- [Alle Rechnungsposten auflisten](https://docs.stripe.com/api/invoiceitems/list.md)
- [Einen Rechnungsposten abrufen](https://docs.stripe.com/api/invoiceitems/retrieve.md)
- [Einen Rechnungsposten erstellen](https://docs.stripe.com/api/invoiceitems/create.md)
- [Einen Rechnungsposten aktualisieren](https://docs.stripe.com/api/invoiceitems/update.md)
- [Alle Zahlungen für eine Rechnung auflisten](https://docs.stripe.com/api/invoice-payment/list.md)
- [Abonnements auflisten](https://docs.stripe.com/api/subscriptions/list.md)
- [Ein Abonnement abrufen](https://docs.stripe.com/api/subscriptions/retrieve.md)
- [Abonnement erstellen](https://docs.stripe.com/api/subscriptions/create.md)
- [Abonnement aktualisieren](https://docs.stripe.com/api/subscriptions/update.md)
- [Abonnement kündigen](https://docs.stripe.com/api/subscriptions/cancel.md)
- [Alle Zeitpläne auflisten](https://docs.stripe.com/api/subscription_schedules/list.md)
- [Einen Zeitplan abrufen](https://docs.stripe.com/api/subscription_schedules/retrieve.md)
- [Alle Abonnementposten auflisten](https://docs.stripe.com/api/subscription_items/list.md)
- [Alle Gutscheine auflisten](https://docs.stripe.com/api/coupons/list.md)
- [Einen Gutschein abrufen](https://docs.stripe.com/api/coupons/retrieve.md)
- [Gutschein erstellen](https://docs.stripe.com/api/coupons/create.md)
- [Gutschein aktualisieren](https://docs.stripe.com/api/coupons/update.md)
- [Gutschein löschen](https://docs.stripe.com/api/coupons/delete.md)
- [Alle Aktionscodes auflisten](https://docs.stripe.com/api/promotion_codes/list.md)
- [Einen Aktionscode abrufen](https://docs.stripe.com/api/promotion_codes/retrieve.md)
- [Aktionscode erstellen](https://docs.stripe.com/api/promotion_codes/create.md)
- [Alle Produkte auflisten](https://docs.stripe.com/api/products/list.md)
- [Ein Produkt abrufen](https://docs.stripe.com/api/products/retrieve.md)
- [Produkt erstellen](https://docs.stripe.com/api/products/create.md)
- [Produkt aktualisieren](https://docs.stripe.com/api/products/update.md)
- [Alle Preise auflisten](https://docs.stripe.com/api/prices/list.md)
- [Einen Preis abrufen](https://docs.stripe.com/api/prices/retrieve.md)
- [Einen Preis erstellen](https://docs.stripe.com/api/prices/create.md)
- [Preis aktualisieren](https://docs.stripe.com/api/prices/update.md)
- [Alle Zahlungslinks auflisten](https://docs.stripe.com/api/payment_links/list.md)
- [Einen Zahlungslink abrufen](https://docs.stripe.com/api/payment_links/retrieve.md)
- [Die Posten eines Zahlungslinks abrufen](https://docs.stripe.com/api/payment_links/line_items.md)
- [Einen Zahlungslink erstellen](https://docs.stripe.com/api/payment_links/create.md)
- [Einen Zahlungslink aktualisieren](https://docs.stripe.com/api/payment_links/update.md)
- [Alle Streitfälle auflisten](https://docs.stripe.com/api/disputes/list.md)
- [Eine angefochtene Zahlung abrufen](https://docs.stripe.com/api/disputes/retrieve.md)
- [Einen Streitfall aktualisieren](https://docs.stripe.com/api/disputes/update.md)
- [Alle Webhook-Endpoints auflisten](https://docs.stripe.com/api/webhook_endpoints/list.md)
- [Einen Webhook-Endpoint abrufen](https://docs.stripe.com/api/webhook_endpoints/retrieve.md)
- [Einen Webhook-Endpoint erstellen](https://docs.stripe.com/api/webhook_endpoints/create.md)
- [Portal-Konfigurationen auflisten](https://docs.stripe.com/api/customer_portal/configurations/list.md)
- [Eine Portalkonfiguration abrufen](https://docs.stripe.com/api/customer_portal/configurations/retrieve.md)
- [Guthaben abrufen](https://docs.stripe.com/api/balance/retrieve.md)
- [Steuereinstellungen abrufen](https://docs.stripe.com/api/tax/settings/retrieve.md)
- [Steuereinstellungen aktualisieren](https://docs.stripe.com/api/tax/settings/update.md)
- [Alle Steuercodes auflisten](https://docs.stripe.com/api/tax_codes/list.md)
- [Einen Steuercode abrufen](https://docs.stripe.com/api/tax_codes/retrieve.md)
- [Alle Steuerregistrierungen auflisten](https://docs.stripe.com/api/tax/registrations/list.md)
- [Eine Steuerregistrierung abrufen](https://docs.stripe.com/api/tax/registrations/retrieve.md)
- [Eine Steuerregistrierung erstellen](https://docs.stripe.com/api/tax/registrations/create.md)
- [Alle Saldo-Transaktionen auflisten](https://docs.stripe.com/api/balance_transactions/list.md)
- [Eine Saldo-Transaktion abrufen](https://docs.stripe.com/api/balance_transactions/retrieve.md)
- [Alle Auszahlungen auflisten](https://docs.stripe.com/api/payouts/list.md)
- [Eine Auszahlung abrufen](https://docs.stripe.com/api/payouts/retrieve.md)
- [Alle Autorisierungen auflisten](https://docs.stripe.com/api/issuing/authorizations/list.md)
- [Eine Autorisierung abrufen](https://docs.stripe.com/api/issuing/authorizations/retrieve.md)
- [Alle Karteninhaber/innen auflisten](https://docs.stripe.com/api/issuing/cardholders/list.md)
- [Eine/n Karteninhaber/in abrufen](https://docs.stripe.com/api/issuing/cardholders/retrieve.md)
- [Alle Karten auflisten](https://docs.stripe.com/api/issuing/cards/list.md)
- [Eine Karte abrufen](https://docs.stripe.com/api/issuing/cards/retrieve.md)
- [Alle Streitfälle auflisten](https://docs.stripe.com/api/issuing/disputes/list.md)
- [Einen Streitfall abrufen](https://docs.stripe.com/api/issuing/disputes/retrieve.md)
- [Alle Transaktionen auflisten](https://docs.stripe.com/api/issuing/transactions/list.md)
- [Eine Transaktion abrufen](https://docs.stripe.com/api/issuing/transactions/retrieve.md)
- [Konten auflisten](https://docs.stripe.com/api/v2/core/accounts/list.md)
- [Konto abrufen](https://docs.stripe.com/api/v2/core/accounts/retrieve.md)
- [Anpassungen auflisten](https://docs.stripe.com/api/v2/money-management/adjustments/list.md?api-version=2026-05-27.preview)
- [Eine Anpassung abrufen](https://docs.stripe.com/api/v2/money-management/adjustments/retrieve.md?api-version=2026-05-27.preview)
- [Finanzkonten auflisten](https://docs.stripe.com/api/v2/money-management/financial-accounts/list.md?api-version=2026-05-27.preview)
- [Ein Finanzkonto abrufen](https://docs.stripe.com/api/v2/money-management/financial-accounts/retrieve.md?api-version=2026-05-27.preview)
- [Finanzadressen auflisten](https://docs.stripe.com/api/v2/money-management/financial-addresses/list.md?api-version=2026-05-27.preview)
- [Eine Finanzadresse abrufen](https://docs.stripe.com/api/v2/money-management/financial-addresses/retrieve.md?api-version=2026-05-27.preview)
- [Eingehende Transfers auflisten](https://docs.stripe.com/api/v2/money-management/inbound-transfers/list.md?api-version=2026-05-27.preview)
- [Einen eingehenden Transfer abrufen](https://docs.stripe.com/api/v2/money-management/inbound-transfers/retrieve.md?api-version=2026-05-27.preview)
- [Ein Angebot für eine ausgehende Zahlung abrufen](https://docs.stripe.com/api/v2/money-management/outbound-payment-quotes/retrieve.md?api-version=2026-05-27.preview)
- [Ausgehende Zahlungen auflisten](https://docs.stripe.com/api/v2/money-management/outbound-payments/list.md?api-version=2026-05-27.preview)
- [Eine ausgehende Zahlung abrufen](https://docs.stripe.com/api/v2/money-management/outbound-payments/retrieve.md?api-version=2026-05-27.preview)
- [Setup-Intents für ausgehende Transfers auflisten](https://docs.stripe.com/api/v2/money-management/outbound-setup-intents/list.md?api-version=2026-05-27.preview)
- [Einen Setup-Intent für ausgehende Transfers abrufen](https://docs.stripe.com/api/v2/money-management/outbound-setup-intents/retrieve.md?api-version=2026-05-27.preview)
- [Ausgehende Transfers auflisten](https://docs.stripe.com/api/v2/money-management/outbound-transfers/list.md?api-version=2026-05-27.preview)
- [Einen ausgehenden Transfer abrufen](https://docs.stripe.com/api/v2/money-management/outbound-transfers/retrieve.md?api-version=2026-05-27.preview)
- [Auszahlungsmethoden auflisten](https://docs.stripe.com/api/v2/money-management/payout-methods/list.md?api-version=2026-05-27.preview)
- [Eine Auszahlungsmethode abrufen](https://docs.stripe.com/api/v2/money-management/payout-methods/retrieve.md?api-version=2026-05-27.preview)
- [Bankkontospezifikationen abrufen](https://docs.stripe.com/api/v2/money-management/payout-methods-bank-account-specs/retrieve.md?api-version=2026-05-27.preview)
- [Empfangene Gutschriften auflisten](https://docs.stripe.com/api/v2/money-management/received-credits/list.md?api-version=2026-05-27.preview)
- [Eine empfangene Gutschrift abrufen](https://docs.stripe.com/api/v2/money-management/received-credits/retrieve.md?api-version=2026-05-27.preview)
- [Empfangene Lastschriften auflisten](https://docs.stripe.com/api/v2/money-management/received-debits/list.md?api-version=2026-05-27.preview)
- [Eine empfangene Lastschrift abrufen](https://docs.stripe.com/api/v2/money-management/received-debits/retrieve.md?api-version=2026-05-27.preview)
- [Transaktionseinträge auflisten](https://docs.stripe.com/api/v2/money-management/transaction-entries/list.md?api-version=2026-05-27.preview)
- [Einen Transaktionseintrag abrufen](https://docs.stripe.com/api/v2/money-management/transaction-entries/retrieve.md?api-version=2026-05-27.preview)
- [Transaktionen auflisten](https://docs.stripe.com/api/v2/money-management/transactions/list.md?api-version=2026-05-27.preview)
- [Eine Transaktion abrufen](https://docs.stripe.com/api/v2/money-management/transactions/retrieve.md?api-version=2026-05-27.preview)

## Support für verbundene Konten

Connect-Plattformen können MCP-Aufrufe als ihre verbundenen Konten tätigen. Sie können jedoch nicht OAuth verwenden. Nutzen Sie stattdessen [eingeschränkte Zugriffsschlüssel](https://docs.stripe.com/keys/restricted-api-keys.md#create-a-restricted-api-key) mit den entsprechenden Connect-Berechtigungen.

Übergeben Sie den Header `Stripe-Account`, um einen MCP-Aufruf als verbundenes Konto zu tätigen. Dies ist nützlich, wenn Sie einen Agenten bereitstellen, mit dem Ihre verbundenen Konten über Ihre Plattform MCP-Aufrufe tätigen können.

```json
{
  "mcpServers": {
    "stripe": {
      "url": "https://mcp.stripe.com",
      "headers": {
         "Authorization": "Bearer rk_.....",
         "Stripe-Account": "acct_xxxxxxxxx"
      }
    }
  }
}
```

## See also

- [Mit KI auf Stripe aufbauen](https://docs.stripe.com/agents.md)
- [Stripe-Skills](https://docs.stripe.com/skills.md)
